Bug 106700 - 'split' doesn't support large files (>2GB)
'split' doesn't support large files (>2GB)
Product: Red Hat Raw Hide
Classification: Retired
Component: coreutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-10-09 14:15 EDT by Need Real Name
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version: 5.0-23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-10 06:05:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-10-09 14:15:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
When trying to use 'split -b' to split a huge tar file into 4.3 gb chunks
suitable for burning on to DVD-R discs, I ran into this problem. You can't make
'split' output files that are >2GB.

Fortunately, I found a patch on the bug-coreutils mailing list:

After a bit of mangling to make it apply cleanly, 'split' behaves much better
and I was able to burn my DVD-Rs. The mangled patch is here:

Jim Meyering, who posted that patch, is listed as one of the coreutils
maintainers on http://www.gnu.org/directory/coreutils.html. I'm not sure why
this patch hasn't been applied yet.

I'm reporting this against coreutils 5.0-20 in Rawhide, since that's the newest
version, but AFAICT it is present in all previous versions of coreutils,
including 5.0-14 in Fedora Test and 4.5.3-19 in Shrike.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cat hugefile.tar | split -b 2048m

Actual Results:  split: 2048m: invalid number of bytes
Try `split --help' for more information.
Comment 1 Tim Waugh 2003-10-10 06:05:17 EDT
Thanks.  Fixed in 5.0-23.
Comment 2 Need Real Name 2003-10-10 13:46:20 EDT
Excellent! Thanks for the quick response.

Note You need to log in before you can comment on or make changes to this bug.